library(Hmsc)
load(file = "models/Plant.fitness.model.C.pH.RData")

a1 = c("low.to.low.exc","low.to.low.inc","low.to.high.exc","low.to.high.inc","high.to.high.exc","high.to.high.inc","high.to.low.exc","high.to.low.inc")
a = c(paste0(a1,"_before"),paste0(a1,"_after"))
#turnover = c(rep(-0.5,8),rep(0.5,8)) #this is used if one wishes to include the observed level of turnover in the predictions
turnover = rep(0,16) #this is used if one wishes to exclude the observed level of turnover in the predictions
altitude1 = c(-0.5,-0.5,-0.5,-0.5,0.5,0.5,0.5,0.5)
altitude = c(altitude1,altitude1)
translocated = c(rep(0,8),rep(1,8))
excluded = c(rep(0,8),c(1,0,1,0,1,0,1,0))
lowtohigh = c(rep(0,8),c(0,0,1,1,0,0,0,0))
hightolow = c(rep(0,8),c(0,0,0,0,0,0,1,1))
m$covNames
X = cbind(turnover,altitude,turnover*altitude,translocated,translocated*altitude,
          excluded,excluded*altitude,lowtohigh,hightolow,excluded*lowtohigh,excluded*hightolow)

tmp = which(m$studyDesign$plant.id==10)
m$studyDesign[tmp,]
m$XData[tmp,]

comps = list()
for(k in 1:4){
  com = matrix(0,ncol=16,nrow=16)
  rownames(com) = colnames(com) = a
  post = poolMcmcChains(m$postList)
  for(ip in 1:length(post)){
    p=post[[ip]]
    beta = p$Beta[2:12,k]
    vals = X%*%beta
    for(i in 1:16){
      for(j in 1:16){
        com[i,j] = com[i,j]+(vals[i]>vals[j])
      }
    }
  }
  com = com/length(post)
  comps[[k]] = com
}
names(comps) = m$spNames

save(comps,file="statistical_support_for_comparisons.RData")

comps$Bl.w["low.to.high.exc_before","low.to.high.exc_after"]
comps$Bl.w["low.to.high.inc_before","low.to.high.inc_after"]


